function mixSentences(useSeparator)
{
   let text = $('textarea#sentences').val();
   console.log(text);
   //if separator present, flip the values first
    if(useSeparator)
    {
      let separator = $('input#separator').val();
      let sepregx = new RegExp("\\w+[ ]*"+separator+"[ ]*\\w+","g");  
      
      let matches = [...text.matchAll(sepregx)]

      matches.forEach(element=>{
         console.log(element);
         
         let tmpArray = element[0].split(separator);
         let newText = tmpArray[1]+separator+tmpArray[0]
         text = replaceSeparatedValues(text,element.index,element[0].length,newText)
                 

      });
    }   
    
    
   
    var sentArray = text.split('.');

    if(sentArray[sentArray.length-1] == undefined || sentArray[sentArray.length-1]=='')
    {
      
       sentArray.splice(sentArray.length-1,1);
    }


    let output = "";
    let order = generateOrder(sentArray.length);
     
    order.forEach(element => {
      output += sentArray[element].trimEnd().trimLeft() +". ";
      
    })

    
    output =output.trimEnd();

    $('textarea#sentences').val(output);
   
}



function getRandomInt(max) {
  return Math.floor(Math.random() * max);
}

function generateOrder(arraySize)
{
   let  targetOrder = new Array();
   while(targetOrder.length<arraySize)
   {
      let randomNumber = getRandomInt(arraySize);
      if(!targetOrder.includes(randomNumber))
          targetOrder.push(randomNumber);

   }

   return targetOrder;

}


function replaceSeparatedValues(str, index, count, add) {
   // We cannot pass negative indexes directly to the 2nd slicing operation.
   if (index < 0) {
     index = str.length + index;
     if (index < 0) {
       index = 0;
     }
   }
 
   return str.slice(0, index) + (add || "") + str.slice(index + count);
 }